from pathlib import Path

import pytest

from libbot.i18n import BotLocale


@pytest.fixture()
def location_config() -> Path:
    return Path("tests/config.json")


@pytest.fixture()
def location_locale() -> Path:
    return Path("tests/data/locale/")


@pytest.fixture()
def bot_locale(location_locale: Path) -> BotLocale:
    return BotLocale(locales_root=location_locale)
